OUTPUT_FORMAT(srec)
OUTPUT_ARCH(m68k)
SEARCH_DIR(./)
__DYNAMIC  =  0;

/*********** MAPA DE MEMORIA ***********/

MEMORY
{
 user_ram : ORIGIN = 0, LENGTH = 128K
 super_ram : ORIGIN = 128K, LENGTH = 128K
}


SECTIONS
{

/*********** RAM del USUARIO ***********/

  .vectors :
  {
    _buser = .;
    _vectors = .;
    *(.vectors)
    _evectors = ALIGN(0x80);

  } >user_ram


  .user :
  {
/*    _buser = ALIGN(0x80); */
  } >user_ram


/********* RAM del SUPERVISOR **********/

  .text :
  {
    _btext = .;
    *(.text)
    __CTOR_LIST__ = .;
    LONG((__CTOR_END__ - __CTOR_LIST__) / 4 - 2)
    *(.ctors)
    LONG(0)
    __CTOR_END__ = .;
    __DTOR_LIST__ = .;
    LONG((__DTOR_END__ - __DTOR_LIST__) / 4 - 2)
    *(.dtors)
    LONG(0)
    __DTOR_END__ = .;
    *(.lit)
    *(.shdata)
    _etext = .;
  } > super_ram


  .data :
  {
    _data = .;
    *(.data)
    _edata = .;
  } > super_ram

  .eh_fram :
   {
    *(.eh_fram)
    _eeh_fram = .;
   } > super_ram

  .shbss :
  {
    *(.shbss)
  } > super_ram
  .bss :
  {
    __bss_start = ALIGN(0x8);
    *(.bss)
    *(COMMON)
    _end = ALIGN(0x80);
    __end = ALIGN(0x80);
  } > super_ram

/***************** ?????? ***************/

  .stab . (NOLOAD) :
  {
    [ .stab ]
  }
  .stabstr . (NOLOAD) :
  {
    [ .stabstr ]
  }

}
