#include "init.h"
#include "../common.h"
#include "../syscall.h"
#include "../event.h"
#include "ulib.h"

const int c=200;
int x=100;
int y;

#undef syscall
int syscall(int code,...)
{
asm volatile("trap #0");
}

void prthex(unsigned int d)
{
	unsigned int i,c;
	for (i=0;i<8;i++) {
		c=d>>28;
		if (c<10) c+='0'; else c+='A'-10;
		syscall(PUTCHAR,c);
		d<<=4;
	}
	c='\n';
	syscall(PUTCHAR,c);
}

main()
{
	vt *pvt;
	int i;
	
	pvt=(vt *)syscall(OPEN_VT,0);
	syscall(VT_TO_FG);
	syscall(CLS);

	asm volatile ("
	move.l %a5,-(%sp)
	bsr    prthex
	|move.l	_etext(%pc),(%a5)
	|clr.l	4(%a5)
	lea.l  4(%sp),%sp");
	
	prthex((int)&c);
	prthex((int)&x);
	prthex((int)&y);
	
	prthex(x);
	prthex(y);

	for(;;) {
		i=syscall(VT_GET_EVENT);
		if (i==EV_LCD_TAP_PRESS) break;
		if (i==EV_KEYBOARD) syscall(VT_GET_EVENT);
	}
}
